<%@ Page Language="C#" MasterPageFile="~/Admin/MainPage.Master" AutoEventWireup="true" CodeBehind="MemberFieldModify.aspx.cs" Inherits="PPFOR.Admin.UserInfo.MemberFieldModify" Title="修改会员注册项" %>


<asp:Content ID="Content1" ContentPlaceHolderID="PPFOR_mainContent" runat="server"> 
<script src="../JS/public.js" type="text/javascript"></script>  
<script language="javascript" type="text/javascript">
    function setControlDisplay(idObj,dValue,idText)
    {
        var obj=document.getElementById(idObj);
        if(obj!=null && obj.style.display!=dValue)
        {
            obj.style.display=dValue;
            if(dValue=="none" && idText!="")
            {
                var objText=document.getElementById(idText);
                if(objText.value!=objText.getAttribute("defaultValue"))
                {
                    objText.setAttribute("defaultValue",objText.value);
                }
                objText.value="";
            }
            else if(dValue=="" && idText!="")
            {
                var objText=document.getElementById(idText);
                if(objText.value=="")
                {
                    objText.value=objText.getAttribute("defaultValue");
                }
            }
        }
    }
    
    function checkFieldValidate(obj)
    {
        var vValue=obj.options[obj.selectedIndex].value;
        if(vValue=="0")
        {
            setControlDisplay("displayFieldErrMsg","none","");
            setControlDisplay("displayFieldValidateText","none","");
        }  
        else
        {
            setControlDisplay("displayFieldErrMsg","","");
            setControlDisplay("displayFieldValidateText","","");
                    
            var objText=document.getElementById("<%=PPFOR_fieldValidateText.ClientID %>");
            if(vValue=="10")
            {
                objText.readOnly=false;
                objText.value="";
            }
            else
            {
                objText.readOnly=true;
                objText.value=obj.options[obj.selectedIndex].getAttribute("validate");
            }
        }
    }
    
    function checkFieldType(obj)
    {
        var tValue=obj.options[obj.selectedIndex].value;
        if(tValue=="0" || tValue=="1")
        {
            setControlDisplay("displayFieldLength","","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","","<%=PPFOR_fieldSize.ClientID %>"); 
            setControlDisplay("displayFieldWidth","none","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","none","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","none","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","none","<%=PPFOR_fieldMaxValue.ClientID %>");  
            setControlDisplay("displayFieldPoint","none","");     
            setControlDisplay("displayFieldValidate","","");
            setControlDisplay("displayFieldDefault","","");                
            setControlDisplay("displayFieldDefaultSingle","","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefaultMulti","none","<%=PPFOR_fieldDefaultMulti.ClientID %>");         
            setControlDisplay("displayFieldSelect","none","<%=PPFOR_fieldSelect.ClientID %>");
        }
        else if(tValue=="2" || tValue=="3")
        {
            setControlDisplay("displayFieldLength","none","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","none","<%=PPFOR_fieldSize.ClientID %>");
            setControlDisplay("displayFieldWidth","","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","none","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","none","<%=PPFOR_fieldMaxValue.ClientID %>");   
            setControlDisplay("displayFieldPoint","none","");                            
            setControlDisplay("displayFieldValidate","none","");
            setControlDisplay("displayFieldDefault","","");             
            setControlDisplay("displayFieldDefaultSingle","none","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefaultMulti","","<%=PPFOR_fieldDefaultMulti.ClientID %>");           
            setControlDisplay("displayFieldSelect","none","<%=PPFOR_fieldSelect.ClientID %>");
         }
         else if(tValue=="4")
         {
            setControlDisplay("displayFieldLength","none","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","none","<%=PPFOR_fieldSize.ClientID %>");
            setControlDisplay("displayFieldWidth","none","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","none","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","none","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","none","<%=PPFOR_fieldMaxValue.ClientID %>");   
            setControlDisplay("displayFieldPoint","none","");                            
            setControlDisplay("displayFieldValidate","none","");
            setControlDisplay("displayFieldDefault","","");               
            setControlDisplay("displayFieldDefaultSingle","","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefaultMulti","none","<%=PPFOR_fieldDefaultMulti.ClientID %>");
            setControlDisplay("displayFieldSelect","none","<%=PPFOR_fieldSelect.ClientID %>");
         }
         else if(tValue=="5")
         {
            setControlDisplay("displayFieldLength","none","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","none","<%=PPFOR_fieldSize.ClientID %>");
            setControlDisplay("displayFieldWidth","none","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","none","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","","<%=PPFOR_fieldMaxValue.ClientID %>");
            setControlDisplay("displayFieldPoint","","");                               
            setControlDisplay("displayFieldValidate","none","");
            setControlDisplay("displayFieldDefault","","");              
            setControlDisplay("displayFieldDefaultSingle","","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefaultMulti","none","<%=PPFOR_fieldDefaultMulti.ClientID %>");             
            setControlDisplay("displayFieldSelect","none","<%=PPFOR_fieldSelect.ClientID %>");
         }    
         else if(tValue=="6")
         {
            setControlDisplay("displayFieldLength","none","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","none","<%=PPFOR_fieldSize.ClientID %>");
            setControlDisplay("displayFieldWidth","none","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","none","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","none","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","none","<%=PPFOR_fieldMaxValue.ClientID %>");   
            setControlDisplay("displayFieldPoint","none","");                            
            setControlDisplay("displayFieldValidate","none","");
            setControlDisplay("displayFieldDefault","none","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefault","none","<%=PPFOR_fieldDefaultMulti.ClientID %>");
            setControlDisplay("displayFieldDefault","none","");
            setControlDisplay("displayFieldSelect","none","<%=PPFOR_fieldSelect.ClientID %>");
         }       
         else if(tValue=="7" || tValue=="8" || tValue=="9" || tValue=="10")
         {
            setControlDisplay("displayFieldLength","none","<%=PPFOR_fieldLength.ClientID %>");
            setControlDisplay("displayFieldSize","none","<%=PPFOR_fieldSize.ClientID %>");
            setControlDisplay("displayFieldWidth","none","<%=PPFOR_fieldWidth.ClientID %>");
            setControlDisplay("displayFieldHeight","none","<%=PPFOR_fieldHeight.ClientID %>");
            setControlDisplay("displayFieldMinValue","none","<%=PPFOR_fieldMinValue.ClientID %>");
            setControlDisplay("displayFieldMaxValue","none","<%=PPFOR_fieldMaxValue.ClientID %>");   
            setControlDisplay("displayFieldPoint","none","");                            
            setControlDisplay("displayFieldValidate","none","");
            setControlDisplay("displayFieldDefault","","");    
            setControlDisplay("displayFieldDefaultSingle","","<%=PPFOR_fieldDefaultSingle.ClientID %>");
            setControlDisplay("displayFieldDefaultMulti","none","<%=PPFOR_fieldDefaultMulti.ClientID %>");           
            setControlDisplay("displayFieldSelect","","<%=PPFOR_fieldSelect.ClientID %>");
         }
    }
    function validateFieldPrompt(source,args)
    {
        var obj=document.getElementById('<%= PPFOR_fieldPrompt.ClientID %>');
        if(obj.value.length>255)
        {
            args.IsValid=false;
        }
        else
        {
            args.IsValid=true;
        }
    }
    function validateDefaultSingle(source,args)
    {
        args.IsValid=checkDefaultSingle();
    }
    function checkDefaultSingle()
    {
        var objDefault=document.getElementById("<%=PPFOR_fieldDefaultSingle.ClientID %>");
        if(objDefault.value=="")
        {
            return true;
        }
        var obj=document.getElementById("<%=PPFOR_fieldTypeList.ClientID %>");
        var tValue=obj.options[obj.selectedIndex].value;     
        if(tValue=="0" || tValue=="1")
        {
            var objValidate=document.getElementById("<%=PPFOR_fieldValidateType.ClientID %>");
            var vTyleValue=objValidate.options[objValidate.selectedIndex].value;   
            var objValidateText=document.getElementById("<%=PPFOR_fieldValidateText.ClientID %>");
            var vValue=objValidateText.value;   
            var objLength=document.getElementById("<%=PPFOR_fieldLength.ClientID %>");
             
            if(objLength.value!="")
            {
                var lValue=parseInt(objLength.value);
                if(objDefault.value.length>lValue)
                {
                    return false;
                }
            }
            if(vTyleValue=="0" || vValue=="")
            {
                return true;
            }
            else
            {
                var reg=new RegExp(vValue);
                return  reg.test(objDefault.value);
            }
        }
        else if(tValue=="4")
        {
            var regStr=/^((\d{2}(([02468][048])|([13579][26]))[\-\/\s]((((0?[13578])|(1[02]))[\-\/\s]((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\-\/\s]((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\-\/\s]((0?[1-9])|([1-2][0-9])))))|(\d{2}(([02468][1235679])|([13579][01345789]))[\-\/\s]((((0?[13578])|(1[02]))[\-\/\s]((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\-\/\s]((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\-\/\s]((0?[1-9])|(1[0-9])|(2[0-8]))))))(\s(((0?[0-9])|([1-2][0-3]))\:([0-5]?[0-9])((\s)|(\:([0-5]?[0-9])))?))?$/;
            return regStr.test(objDefault.value);
        }
        else if(tValue=="5")
        {
            var objMin=document.getElementById("<%=PPFOR_fieldMinValue.ClientID %>");
            var objMax=document.getElementById("<%=PPFOR_fieldMaxValue.ClientID %>");
            var objPoint=document.getElementById("<%=PPFOR_fieldPoint.ClientID %>");
            var dValue=parseFloat(objDefault.value.trim());
            var minValue=0;
            var maxValue=2147483647;
            if(objMin.value!="")
            {
                minValue=parseInt(objMin.value);
            }
            if(objMax.value!="")
            {
                maxValue=parseInt(objMax.value);
            }
            if(dValue>=minValue && dValue<=maxValue)
            {
                var pValueTmp=objPoint.options[objPoint.selectedIndex].value;
                var pValue=0;
                if(pValueTmp!="")
                {
                    pValue=parseInt(pValueTmp);
                }
                var regStr="^(0|([1-9][0-9]*))";
                if(pValue>0)
                {
                    regStr=regStr + "(.[0-9]{" + pValue + "})?$";
                }
                else if(pValue==-1)
                {
                    regStr=regStr + "(.[0-9]{0,4})?$";
                }
                else
                {
                    regStr=regStr + "$";
                }
                var reg=new RegExp(regStr);
                return reg.test(objDefault.value.trim());
            }
            else
            {
                return false;
            }
        }
        else if(tValue=="7" || tValue=="8" || tValue=="9" || tValue=="10")
        {
            var obj=document.getElementById('<%= PPFOR_fieldSelect.ClientID %>');
            var vValues="|";
            if(obj.value.trim().length>0)
            {//获取所有选项值
                var lines=obj.value.replace('\r','').split('\n');
                if(lines.length>0)
                {
                    var index=0;
                    for(;index<lines.length;index++)
                    {
                        var field=lines[index].trim();
                        if(field!="")
                        {
                            fields=field.split('|');
                            if(fields.length==2)
                            {
                                if(fields[0]!="" && fields[1]!="" &&　fields[1].indexOf(',')==-1)
                                {
                                    if(vValues.indexOf("|" + fields[1] + "|")<0)
                                    {
                                        vValues=vValues + fields[1] + "|";
                                    }
                                }   
                            }
                        }
                    }
                }
            }
            if(vValues!="|")
            {
                if(objDefault.value.indexOf('|')<0 && vValues.indexOf("|" + objDefault.value + "|")>=0)
                {
                    return true;
                }
                else if((tValue=="8" || tValue=="10") && objDefault.value.indexOf('|')>0)
                {
                    var dValues=objDefault.value.split('|');
                    var index=0;
                    for(;index<dValues.length;index++)
                    {
                        if(dValues[index]=="" || vValues.indexOf("|" + dValues[index] + "|")<0)
                        {
                            return false;
                        }
                        else
                        {
                            vValues=vValues.replace("|" + dValues[index] + "|","|");
                        }
                    } 
                    return true;
                }
            }    
            return false;  
        }
    }
    
    function validateFieldSelect(source,args)
    {
        var obj=document.getElementById('<%= PPFOR_fieldSelect.ClientID %>');
        if(obj.value.length>0)
        {
            var lines=obj.value.replace('\r','').split('\n');
            if(lines.length>0)
            {
                var index=0;
                var vValues="|";
                for(;index<lines.length;index++)
                {
                    var field=lines[index].trim();
                    if(field=="" && index!=lines.length-1)
                    {
                        break;
                    }
                    else
                    {
                        fields=field.split('|');
                        if(fields.length==2)
                        {
                            if(fields[0]=="" || fields[1]=="")
                            {
                                break;
                            }
                            else
                            {
                                if(vValues.indexOf("|" + fields[1] + "|")!=-1 || fields[1].indexOf(',')!=-1)
                                {//存在相同的值或有英文逗号
                                    break;
                                }
                                else
                                {
                                    vValues=vValues + fields[1] + "|";
                                }
                            }   
                        }
                        else
                        {
                            break;
                        }
                    }
                }
                if(index==lines.length)
                {
                    args.IsValid=true;
                    return;
                }
            }
        }
        args.IsValid=false;
    }
</script>
<div>
<form action="MemberFieldModify.aspx" method="post" id="form1" runat="server">
    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="fortable">
        <thead>
            <tr>
              <td colspan="2" align="center">修改注册项</td>
            </tr>
        </thead>
        <tr>
            <td align="right">注册项名称：</td>
            <td><asp:TextBox ID="PPFOR_fieldName" runat="server" TextMode="SingleLine" Maxlength="20" Width="150px" Text=""></asp:TextBox>
              <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" SetFocusOnError="true" Display="Dynamic" ControlToValidate="PPFOR_fieldName">注册项名称不能为空</asp:RequiredFieldValidator>
              <asp:Label ID="PPFOR_fieldId" runat="server" Visible="false" Enabled="false"></asp:Label>
          </td>
        </tr>
        <tr>
          <td align="right">字段名：</td>
          <td><asp:Label ID="PPFOR_fieldItemName" runat="server"></asp:Label>
          </td>
        </tr>
        <tr>
          <td align="right">排序序号：</td>
          <td><asp:TextBox ID="PPFOR_fieldOrder" runat="server" TextMode="SingleLine" Maxlength="5" Width="150px" Text=""></asp:TextBox>
            <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="PPFOR_fieldOrder" Display="Dynamic" ErrorMessage="排序序号必须是0至9999之间的整数" MaximumValue="9999" MinimumValue="0" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
          </td>
        </tr>
         <tr>
          <td align="right">是否启用：</td>
          <td><asp:RadioButtonList CssClass="innertable" ID="PPFOR_fieldState" runat="server" RepeatDirection="Horizontal">
            <asp:ListItem Text="是" Value="1" Selected="True"></asp:ListItem>
            <asp:ListItem Text="否" Value="0" Selected="False"></asp:ListItem>
          </asp:RadioButtonList>
          </td>
        </tr>
         <tr>
          <td align="right">是否必填：</td>
          <td><asp:RadioButtonList CssClass="innertable" ID="PPFOR_fieldNotNull" runat="server" RepeatDirection="Horizontal">
            <asp:ListItem Text="是" Value="1" Selected="True"></asp:ListItem>
            <asp:ListItem Text="否" Value="0" Selected="False"></asp:ListItem>
          </asp:RadioButtonList>
          </td>
        </tr>        
        <tr>
          <td align="right">注册项类型：</td>
          <td><asp:DropDownList ID="PPFOR_fieldTypeList" runat="server">
            
          </asp:DropDownList>
          </td>
        </tr>
        <tr id="displayFieldLength" style="display:<%=PPFOR_displayFieldLength%>;">
            <td align="right">最大字符数：</td>
            <td><asp:TextBox ID="PPFOR_fieldLength" runat="server" Text="20" MaxLength="3"></asp:TextBox>
             <asp:RangeValidator ID="RangeValidator2" runat="server" ControlToValidate="PPFOR_fieldLength" Display="Dynamic" ErrorMessage="最大字符数必须是1至255之间的整数" MaximumValue="255" MinimumValue="1" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            </td>
        </tr>
        <tr id="displayFieldSize" style="display:<%=PPFOR_displayFieldSize%>;">
            <td align="right">文本框长度：</td>
            <td><asp:TextBox ID="PPFOR_fieldSize" runat="server" Text="20" MaxLength="3"></asp:TextBox>
             <asp:RangeValidator ID="RangeValidator3" runat="server" ControlToValidate="PPFOR_fieldSize" Display="Dynamic" ErrorMessage="文本框长度必须是1至255之间的整数" MaximumValue="255" MinimumValue="1" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            </td>
        </tr>
        <tr id="displayFieldWidth" style="display:<%=PPFOR_displayFieldWidth%>;">
            <td align="right">宽度：</td>
            <td><asp:TextBox ID="PPFOR_fieldWidth" runat="server" Text="400" MaxLength="4"></asp:TextBox>&nbsp;px
            <asp:RangeValidator ID="RangeValidator6" runat="server" ControlToValidate="PPFOR_fieldWidth" Display="Dynamic" ErrorMessage="宽度必须是1至9999之间的整数" MaximumValue="9999" MinimumValue="1" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            </td>
        </tr>
        <tr id="displayFieldHeight" style="display:<%=PPFOR_displayFieldHeight%>;">
            <td align="right">高度：</td>
            <td><asp:TextBox ID="PPFOR_fieldHeight" runat="server" Text="200" MaxLength="4"></asp:TextBox>&nbsp;px
            <asp:RangeValidator ID="RangeValidator7" runat="server" ControlToValidate="PPFOR_fieldHeight" Display="Dynamic" ErrorMessage="高度必须是1至9999之间的整数" MaximumValue="9999" MinimumValue="1" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            </td>
        </tr> 
        <tr id="displayFieldMinValue" style="display:<%=PPFOR_displayFieldMinValue%>;">
            <td align="right">最小值：</td>
            <td><asp:TextBox ID="PPFOR_fieldMinValue" runat="server" Text="" MaxLength="10"></asp:TextBox>
            <asp:RangeValidator ID="RangeValidator4" runat="server" ControlToValidate="PPFOR_fieldMinValue" Display="Dynamic" ErrorMessage="最小值必须是非负整数，为空默认为0" MaximumValue="2147483647" MinimumValue="0" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            </td>
        </tr>
        <tr id="displayFieldMaxValue" style="display:<%=PPFOR_displayFieldMaxValue%>;">
            <td align="right">最大值：</td>
            <td><asp:TextBox ID="PPFOR_fieldMaxValue" runat="server" Text="" MaxLength="10"></asp:TextBox>
            <asp:RangeValidator ID="RangeValidator5" runat="server" ControlToValidate="PPFOR_fieldMaxValue" Display="Dynamic" ErrorMessage="最大值必须是非负整数，为空默认为2147483647" MaximumValue="2147483647" MinimumValue="0" SetFocusOnError="True" Type="Integer"></asp:RangeValidator>
            <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="PPFOR_fieldMaxValue" ControlToCompare="PPFOR_fieldMinValue" ErrorMessage="最大值必须不小于最小值" Display="Dynamic" Type="Integer" SetFocusOnError="true" Operator="GreaterThanEqual"></asp:CompareValidator>
            </td>
        </tr>
        <tr id="displayFieldPoint" style="display:<%=PPFOR_displayFieldPoint%>;">
            <td align="right">小数位数：</td>
            <td><asp:DropDownList ID="PPFOR_fieldPoint" runat="server">
                    <asp:ListItem Text="自动" Value="-1" Selected="True"></asp:ListItem>
                    <asp:ListItem Text="0" Value="0"></asp:ListItem>
                    <asp:ListItem Text="1" Value="1"></asp:ListItem>
                    <asp:ListItem Text="2" Value="2"></asp:ListItem>
                    <asp:ListItem Text="3" Value="3"></asp:ListItem>
                    <asp:ListItem Text="4" Value="4"></asp:ListItem>
                    </asp:DropDownList></td>
        </tr>
        <tr id="displayFieldValidate" style="display:<%=PPFOR_displayFieldValidate%>;">
            <td align="right">验证规则：</td>
            <td>
            <table class="innertable">
                <tr>
                    <td><asp:DropDownList ID="PPFOR_fieldValidateType" runat="server">
                    </asp:DropDownList></td>
                    <td id="displayFieldValidateText" style="display:<%=PPFOR_displayFieldValidateText%>;"><asp:TextBox ID="PPFOR_fieldValidateText" runat="server" Width="400px"></asp:TextBox></td>
                </tr>
                <tr id="displayFieldErrMsg" style="display:<%=PPFOR_displayFieldErrMsg%>;">
                    <td align="right">&nbsp;验证错误提示：</td>
                    <td><asp:TextBox ID="PPFOR_fieldErrMsg" runat="server" MaxLength="255" Width="400px"></asp:TextBox></td>
                </tr>                
            </table>
            </td>
        </tr>
        <tr id="displayFieldSelect" style="display:<%=PPFOR_displayFieldSelect%>;">
            <td align="right">选项：</td>
            <td>
                <table class="innertable">
                <tr>
                    <td><asp:TextBox ID="PPFOR_fieldSelect" runat="server" MaxLength="255" TextMode="MultiLine" Rows="5" Width="300px" Height="98%"></asp:TextBox></td>
                    <td>
                        <ul>
                            <li>每一行为一个选项</li>
                            <li>选项显示的文本跟选项值之间必须用“|”字符分隔开</li>
                            <li>格式：选项文本|选项值，如“长登科技|ppfor”</li>
                        </ul> 
                    </td>
                </tr>
                <tr>
                <td colspan="2">
                <asp:CustomValidator ID="CustomValidator2" runat="server" Display="Dynamic" SetFocusOnError="true" ControlToValidate="PPFOR_fieldSelect" ClientValidationFunction="validateFieldSelect">&nbsp;选项文本跟选项值之间必须用“|”字符分隔开，选项值不能重复，<br />选项值不能包含英文逗号“,”和分隔符“|”，且不允许出现空选项</asp:CustomValidator>
                </td>
                </tr>
                </table>
            </td>
        </tr>         
        <tr id="displayFieldDefault" style="display:<%=PPFOR_displayFieldDefault%>;">
            <td align="right">默认值：</td>
            <td><span id="displayFieldDefaultSingle" style="display:<%=PPFOR_displayFieldDefaultSingle %>;"><asp:TextBox ID="PPFOR_fieldDefaultSingle" runat="server" MaxLength="255" Width="300px"></asp:TextBox><br />
            <asp:CustomValidator ID="CustomValidator3" runat="server" ControlToValidate="PPFOR_fieldDefaultSingle" ClientValidationFunction="validateDefaultSingle" Display="Dynamic" SetFocusOnError="true">&nbsp;默认值不符合验证规则，或默认值不在选项值中，或默认值有重复项值</asp:CustomValidator>
            </span>
            <span id="displayFieldDefaultMulti" style="display:<%=PPFOR_displayFieldDefaultMulti %>;"><asp:TextBox ID="PPFOR_fieldDefaultMulti" runat="server" Width="300px" Rows="5" TextMode="MultiLine"></asp:TextBox><br />
            </span>
            </td>
        </tr>          
        <tr>
          <td align="right">附加提示：</td>
          <td><asp:TextBox TextMode="MultiLine" MaxLength="255" ID="PPFOR_fieldPrompt" runat="server" Height="80px" Width="300px"></asp:TextBox><span>在名称旁的提示信息</span><br />
          <asp:CustomValidator ID="CustomValidator1" runat="server" Display="Dynamic" SetFocusOnError="true" ControlToValidate="PPFOR_fieldPrompt" ClientValidationFunction="validateFieldPrompt">&nbsp;附加提示长度必须在255个字符以内</asp:CustomValidator>
          </td>
        </tr>                  
        <tr>
            <td colspan="2" align="center" valign="middle" style="height:50px; display:none;">
                <asp:Button ID="PPFOR_updateMemberFieldInfo" CssClass="inputbutton" runat="server" Text="提交" OnClick="PPFOR_updateMemberFieldInfoClick"/>
                <input name="reset" id="reset1" type="reset" class="inputbutton" onmouseover="this.className='inputbutton_hover'" onmouseout="this.className='inputbutton'" value="重置" />
                <input id="goBack" type="button" onclick="location.href='MemberFieldList.aspx';" class="inputbutton" onmouseover="this.className='inputbutton_hover'" onmouseout="this.className='inputbutton'" value="返回注册项列表"/>
                <script type="text/javascript">                    
                    addButtonArray("<%= PPFOR_updateMemberFieldInfo.ClientID %>","reset1","goBack");                    
                </script> 
            </td>
        </tr>
      </table>
      <br />
</form>
</div>
</asp:Content>

